Skip to content

Sets the trial activation policy on the entitlement.

POST
/api/v1/provision/admin/entitlements/{entitlementId}/policies/trial
curl --request POST \
--url https://example.com/api/v1/provision/admin/entitlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/policies/trial \
--header 'Content-Type: application/json' \
--data '{ "trialPeriod": "example", "cannotActivateBeforeTimestamp": "2026-04-15T12:00:00Z", "notValidAfterTimestamp": "2026-04-15T12:00:00Z", "trialEndsAt": "2026-04-15T12:00:00Z", "trialPeriodStartsAfterFirstActivation": true, "trialPlanSetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "trialPlanName": "example" }'
entitlementId
required
string format: uuid

Target entitlement.

Policy payload.

Data transfer object for trial activation policy settings.

object
trialPeriod

The duration of the trial period.

string
/^-?(\d+\.)?\d{2}:\d{2}:\d{2}(\.\d{1,7})?$/
cannotActivateBeforeTimestamp

Optional timestamp before which the trial cannot be activated.

null | string format: date-time
notValidAfterTimestamp

Optional timestamp after which the trial is no longer valid.

null | string format: date-time
trialEndsAt

The calculated timestamp when the trial ends.

null | string format: date-time
trialPeriodStartsAfterFirstActivation

If true, the trial period starts after the first license activation otherwise the trial starts now.

boolean
trialPlanSetId

Optional plan set id containing the trial plan to auto-apply at first trial activation. If omitted, entitlement.AssignedPlanSetId is used.

null | string format: uuid
trialPlanName

Optional trial plan name to auto-apply at first trial activation.

null | string
Example generated
{
"trialPeriod": "example",
"cannotActivateBeforeTimestamp": "2026-04-15T12:00:00Z",
"notValidAfterTimestamp": "2026-04-15T12:00:00Z",
"trialEndsAt": "2026-04-15T12:00:00Z",
"trialPeriodStartsAfterFirstActivation": true,
"trialPlanSetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"trialPlanName": "example"
}

OK

Bad Request

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string

Not Found

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string